Package: org.codehaus.groovy.transform.tailrec

## [Groovy] Class TernaryToIfStatementConverter

- org.codehaus.groovy.transform.tailrec.TernaryToIfStatementConverter

- Since a ternary statement has more than one exit point tail-recursiveness testing cannot be easily done. Therefore this class translates a ternary statement (or Elvis operator) into the equivalent if-else statement.

  Authors:
    Johannes Link

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `Statement` | `convert(ReturnStatement statementWithInnerTernaryExpression)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Method Detail

    - #### Statement convert(ReturnStatement statementWithInnerTernaryExpression)